/*
    Raydium - CQFD Corp.
    http://raydium.org/
    Released under both BSD license and Lesser GPL library license.
    See "license.txt" file.
*/

// Small demo of Raydium embedded PHP scripting, building a train
// using train.php script.

#include "raydium/index.c"

enum{follow,menu}mode=menu;

GLfloat light_color[] = {1.0, 0.9, 0.8, 1.0};


void loadclick(raydium_gui_Object *w)
{
char kmzname[RAYDIUM_MAX_NAME_LEN];
char triname[RAYDIUM_MAX_NAME_LEN];

raydium_gui_read_name("Model","edtModelname",kmzname);
raydium_register_variable(kmzname,RAYDIUM_REGISTER_STR,"file_name");
raydium_file_basename(triname,kmzname);
strcpy(strrchr(triname,'.'),".tri");
raydium_php_exec("collada_2_tri_v4.php");

raydium_register_variable_unregister_last();
raydium_ode_element_delete_name("test",1);
raydium_ode_object_box_add("test",0,1,RAYDIUM_ODE_AUTODETECT,0,0,RAYDIUM_ODE_STATIC,0,triname);
mode=follow;
raydium_gui_hide();

}

void display(void)
{

if(raydium_key_last==1027)
    exit(0);

if(raydium_mouse_click==2)
    if (mode==menu){
        raydium_gui_hide();
        mode=follow;
    }else{
        raydium_gui_show();
        mode=menu;
    }



raydium_light_position[0][0]=100;
raydium_light_position[0][1]=100;
raydium_light_position[0][2]=1000;
raydium_light_position[0][3]=100.0;
raydium_light_update_position(0);

raydium_background_color_change(light_color[0],light_color[1],light_color[2],light_color[3]);


raydium_clear_frame();

if (mode==menu)
    raydium_camera_freemove(RAYDIUM_CAMERA_FREEMOVE_FIXED);
else
    raydium_camera_freemove(RAYDIUM_CAMERA_FREEMOVE_NORMAL);

raydium_ode_draw_all(0);
if(raydium_key[GLUT_KEY_F1])
    raydium_ode_draw_all(1);

raydium_osd_logo("logo.tga");

raydium_rendering_finish();
}




int main(int argc, char **argv)
{
int handle;
    raydium_init_args(argc,argv);

    raydium_window_create(640,480,RAYDIUM_RENDERING_WINDOW,"Kmz tests");
    raydium_texture_filter=RAYDIUM_TEXTURE_FILTER_TRILINEAR;
    raydium_projection_near=0.01;
    raydium_projection_far=2500;
    raydium_projection_fov=60;
    raydium_fog_disable();
    raydium_window_view_update();


    raydium_light_on(0);
    memcpy(raydium_light_color[0],light_color,raydium_internal_size_vector_float_4);
    raydium_light_intensity[0] = 1000000;
    raydium_light_update_all(0);
    raydium_window_view_update();

    raydium_shadow_enable();

    raydium_gui_theme_load("theme-raydium2.gui");
    handle=raydium_gui_window_create("Model",45,75,50,20);
    raydium_gui_widget_sizes(0,0,18);
    raydium_gui_label_create("Model Name",handle,25,85,"Model Name :",0,0,0);
    raydium_gui_widget_sizes(25,4,18);
    raydium_gui_edit_create("edtModelname",handle,47,75,"test.kmz");
    raydium_gui_widget_sizes(15,5,18);
    raydium_gui_button_create("btnOk",handle,5,15,"Load",loadclick);
    raydium_gui_show();

    raydium_callback(&display);
    return(0);
}
// EOF
